{
    "label": "脚本",
    "order": 0,
    "blocks": [
        {
            "type": "All",
            "name": "ScriptBp",
            "label": "运行脚本",
            "description": "",
            "inputParams": [
                {
                    "name": "functionName",
                    "type": "String",
                    "label": "函数名",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                },
                {
                    "name": "functionArgs",
                    "type": "Any",
                    "label": "函数参数",
                    "description": "",
                    "required": false,
                    "defaultValue": null,
                    "options": []
                }
            ],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {},
            "children": {},
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## 运行脚本 (RunScript)\n\n### 描述\n本块用于运行脚本。\n\n### 输入参数\n\n| 参数名   | 是否必填 | 类型 | 描述 |\n\n|---------|---------|------|------|\n| functionName | 必填    | String | 函数名 |\n| functionArgs | 非必填    | Any | 函数参数 |\n\n### 输出参数\n无\n"
        },
        {
            "type": "All",
            "name": "ScriptVariablesBp",
            "label": "脚本设置task.variables",
            "description": "",
            "inputParams": [
                {
                    "name": "functionName",
                    "type": "String",
                    "label": "函数名",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                },
                {
                    "name": "functionArgs",
                    "type": "Any",
                    "label": "函数参数",
                    "description": "",
                    "required": false,
                    "defaultValue": null,
                    "options": []
                }
            ],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {},
            "children": {},
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## 脚本设置task.variables (SetScriptVariables)\n\n### 描述\n本块用于设置task.variables。\n\n### 输入参数\n\n| 参数名   | 是否必填 | 类型 | 描述 |\n\n|---------|---------|------|------|\n| functionName | 必填    | String | 函数名 |\n| functionArgs | 非必填    | Any | 函数参数 |\n\n### 输出参数\n无\n"
        }
    ]
}